#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Daemon to offer libfprint functionality over D-Bus
Summary(pl.UTF-8):	Demon oferujący funkcjonalność libfprint poprzez D-Bus
Name:		fprintd
Version:	1.90.8
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
# Source0-md5:	94f1760274a6dc95fcd713edc393206b
URL:		https://fprint.freedesktop.org/
BuildRequires:	dbus-glib-devel
%{?with_apidocs:BuildRequires:	docbook-dtd412-xml}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.26.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.3}
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libfprint-devel >= 1.90.6
%{?with_apidocs:BuildRequires:	libxml2-progs}
%{?with_apidocs:BuildRequires:	libxslt-progs}
BuildRequires:	meson >= 0.47.0
BuildRequires:	ninja
BuildRequires:	pam-devel
BuildRequires:	pam_wrapper
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.91
BuildRequires:	python3-dbusmock
BuildRequires:	python3-pypamtest
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libfprint >= 0.6.0
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Daemon to offer libfprint functionality over D-Bus.

%description -l pl.UTF-8
Demon oferujący funkcjonalność libfprint poprzez D-Bus.

%package apidocs
Summary:	fprintd API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki fprintd
License:	GFDL v1.1+
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for fprintd library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki fprintd.

%package -n pam-pam_fprintd
Summary:	PAM module for fingerprint authentication
Summary(pl.UTF-8):	Moduł PAM do uwierzytelniania odciskiem palca
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description -n pam-pam_fprintd
PAM module for fingerprint authentication.

%description -n pam-pam_fprintd -l pl.UTF-8
Moduł PAM do uwierzytelniania odciskiem palca.

%prep
%setup -q -n %{name}-v%{version}

%build
%meson build \
	-Dgtk_doc=%__true_false apidocs

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/fprint

%meson_install -C build

# to -devel, but we haven't any
%{__rm} $RPM_BUILD_ROOT%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.*.xml

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post fprintd.service

%preun
%systemd_preun fprintd.service

%postun
%systemd_reload

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fprintd.conf
%attr(755,root,root) %{_bindir}/fprintd-delete
%attr(755,root,root) %{_bindir}/fprintd-enroll
%attr(755,root,root) %{_bindir}/fprintd-list
%attr(755,root,root) %{_bindir}/fprintd-verify
%attr(755,root,root) %{_libexecdir}/fprintd
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%{systemdunitdir}/fprintd.service
%{_mandir}/man1/fprintd.1*
%dir %attr(700,root,root) /var/lib/fprint

%files -n pam-pam_fprintd
%defattr(644,root,root,755)
%doc pam/README
%attr(755,root,root) /%{_lib}/security/pam_fprintd.so
%{_mandir}/man8/pam_fprintd.8*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/fprintd
%endif
%changelog
* Sun Dec 13 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fprintd.git;a=log;h=master

* Sun Dec 13 2020 Jan Rękorajski <baggins@pld-linux.org> fbbc310
- up to 1.90.8

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 822aae5
- rebuild with libffi 3.3
- release 3 (by relup.sh)

* Sun Dec 16 2018 Jakub Bogusz <qboosh@pld-linux.org> d2194e0
- support _libexecdir!=_libdir; release 2

* Sun Dec 16 2018 Jakub Bogusz <qboosh@pld-linux.org> ab1eac4
- new URLs, updated to 0.8.1

* Thu Feb 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 374c855
- updated to 0.6.0
- removed obsolete pod patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> abeb34b
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> d826f3f
- libffi rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> d955c2f
- noarch apidocs

* Sat Aug 24 2013 Jakub Bogusz <qboosh@pld-linux.org> b265d68
- updated to 0.5.1
- added pod patch (fixes .pod processing error)

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> a98605d
- updated to 0.5.0

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b3d977f
- release 2

* Sat Apr 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 779166a
- updated BRs
- disable silent-rules

* Tue Apr 19 2011 Elan Ruusamäe <glen@pld-linux.org> 7dc9c0a
- up to 0.4.1

* Mon Jan 24 2011 Elan Ruusamäe <glen@pld-linux.org> c238697
- release 4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e5ff64d
- -apidocs: %{_gtkdocdir} belongs to gtk-doc-common; do not package it
- BR: autoconf, gettext-devel, intltool, perl-tools-pod

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> e38e29b
- fix apidocs packaging

* Tue Jan 18 2011 Elan Ruusamäe <glen@pld-linux.org> 6ffa5f1
- add dont-ever-unload.patch from fedora (fdo#31503)
- apidocs subpackage; rel 2

* Tue Jan 18 2011 Elan Ruusamäe <glen@pld-linux.org> e215688
- add /var/lib/fprint dir
- dbus interfaces should go to -devel, but we have none

* Fri Nov 12 2010 Jakub Bogusz <qboosh@pld-linux.org> f682564
- PAM module is optional functionality, so moved to separate package

* Fri Nov 12 2010 Jakub Bogusz <qboosh@pld-linux.org> f351272
- new

